chunked-data-0.3.0: Typeclasses for dealing with various chunked data representations

Safe Haskell | Safe
Language | Haskell98

Data.Builder

Description

Abstraction for different kinds of builders.

Note that whenever a character encoding is used, it will be UTF8. For different behavior, please use the underlying library.

Synopsis

- type TextBuilder = Builder
- type BlazeBuilder = Builder
- class Monoid builder => Builder builder lazy | builder -> lazy, lazy -> builder where
- class ToBuilder value builder where
- textToBuilder :: ToBuilder Text builder => Text -> builder

# Documentation

type TextBuilder = Builder #

Since 0.1.0.0

type BlazeBuilder = Builder #

Since 0.1.0.0

class Monoid builder => Builder builder lazy | builder -> lazy, lazy -> builder where #

Since 0.1.0.0

Minimal complete definition

builderToLazy, flushBuilder

Methods

builderToLazy :: builder -> lazy #

Since 0.1.0.0

flushBuilder :: builder #

Since 0.1.0.0

Instances

Builder Builder ByteString # |
Methods builderToLazy :: Builder -> ByteString # flushBuilder :: Builder #
Builder Builder Text # |
Methods builderToLazy :: Builder -> Text # flushBuilder :: Builder #

class ToBuilder value builder where #

Since 0.1.0.0

Minimal complete definition

toBuilder

Methods

toBuilder :: value -> builder #

Since 0.1.0.0

Instances

ToBuilder Char Builder # |
Methods toBuilder :: Char -> Builder #
ToBuilder Char Builder # |
Methods toBuilder :: Char -> Builder #
ToBuilder ByteString Builder # |
Methods toBuilder :: ByteString -> Builder #
ToBuilder ByteString Builder # |
Methods toBuilder :: ByteString -> Builder #
ToBuilder Builder Builder # |
Methods toBuilder :: Builder -> Builder #
ToBuilder Builder Builder # |
Methods toBuilder :: Builder -> Builder #
ToBuilder Text Builder # |
Methods toBuilder :: Text -> Builder #
ToBuilder Text Builder # |
Methods toBuilder :: Text -> Builder #
ToBuilder Text Builder # |
Methods toBuilder :: Text -> Builder #
ToBuilder Text Builder # |
Methods toBuilder :: Text -> Builder #
(~) * a Char => ToBuilder [a] Builder # |
Methods toBuilder :: [a] -> Builder #
(~) * a Char => ToBuilder [a] Builder # |
Methods toBuilder :: [a] -> Builder #

textToBuilder :: ToBuilder Text builder => Text -> builder #

Provided for type disambiguation in the presence of OverloadedStrings.

Since 0.1.0.0